Bug 811677 - Patch-related files get installed with headers
Patch-related files get installed with headers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: opencv (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 13:09 EDT by Ben Boeckel
Modified: 2012-08-01 14:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:32:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-04-11 13:09:03 EDT
Description of problem:
Patch-related files for core.hpp get installed with opencv-devel (with .gcc46 and .orig suffixes). Likely due to opencv using globs (which is usually a bad practice with CMake).

Version-Release number of selected component (if applicable):
opencv-devel-2.2.0-6.fc15.x86_64
Comment 1 Nicolas Chauvet (kwizart) 2012-04-25 15:53:30 EDT
Note: This isn't reproduced with newer opencv
Comment 2 Ben Boeckel 2012-04-25 16:04:48 EDT
Yeah, I don't see it in the latest F16+ builds. F15 still has the issue, but likely not worth the rebuild with EOL coming. I'll close when it gets to EOL, but if another build otherwise lands, fixing it might be NTH.

Note You need to log in before you can comment on or make changes to this bug.